# -*- coding: utf-8 -*-
# Copyright 2021 The Wazo Authors  (see the AUTHORS file)
# SPDX-License-Identifier: GPL-3.0-or-later

from xivo_dao.helpers.db_utils import flush_session
from xivo_dao.helpers.db_manager import daosession

from .persistor import Persistor
from .search import meeting_search


@daosession
def find_by(session, tenant_uuids=None, **criteria):
    return Persistor(session, meeting_search, tenant_uuids).find_by(criteria)


@daosession
def find_all_by(session, tenant_uuids=None, **criteria):
    return Persistor(session, meeting_search, tenant_uuids).find_all_by(criteria)


@daosession
def search(session, tenant_uuids=None, **parameters):
    return Persistor(session, meeting_search, tenant_uuids).search(parameters)


@daosession
def get(session, sip_uuid, tenant_uuids=None):
    return Persistor(session, meeting_search, tenant_uuids).get_by(
        {'uuid': sip_uuid},
    )


@daosession
def get_by(session, tenant_uuids=None, **criteria):
    return Persistor(session, meeting_search, tenant_uuids).get_by(criteria)


@daosession
def create(session, sip):
    with flush_session(session):
        return Persistor(session, meeting_search).create(sip)


@daosession
def edit(session, sip):
    with flush_session(session):
        Persistor(session, meeting_search).edit(sip)


@daosession
def delete(session, sip):
    with flush_session(session):
        return Persistor(session, meeting_search).delete(sip)
